// 订单确认

<template>
  <div class="shop">
    <div class="shop-cont" ref="checkboxGroup">
      <div class="shop-address">
        <div class="address-icon"></div>
        <div class="address-cont">
          <div class="address-cont-top">
            <div class="address-cont-name">王尔德</div>
            <div class="address-cont-tel">138****0099</div>
          </div>
          <div class="address-cont-bottom">北京市北京市朝阳区十里河新华国际广场领先</div>
        </div>
        <div class="address-icon">
          <van-icon name="arrow" />
        </div>
      </div>
      <div class="shop-items">
        <van-checkbox
          v-model="checkedAll"
          class="shop-checkOne"
          icon-size="19px"
          checked-color="#F04919"
          @click="checkAll"
        ></van-checkbox>
        <div class="item-img">
          <van-image
            fit="fill"
            width="85px"
            height="85px"
            src="https://img.yzcdn.cn/vant/cat.jpeg"
          />
        </div>
        <div class="item-conts">
          <div class="item-conts-left">
            <div class="item-conts-left-top">小熊(Bear)破壁机多功能家用PBJ-</div>
            <div class="item-conts-left-middle">90000积分</div>
            <div class="item-conts-left-bottom">
              <van-stepper v-model="value" @focus="show = true" />
            </div>
          </div>
          <div class="item-conts-right">
            <div class="item-conts-right-top">x1</div>
            <div class="item-conts-right-bottom"></div>
          </div>
          <van-number-keyboard v-model="value" :show="show" :maxlength="6" @blur="show = false" />
        </div>
      </div>
    </div>
    <div class="shop-bar">
      <van-checkbox
        v-model="checkedAll"
        class="shop-checkbox"
        icon-size="19px"
        checked-color="#F04919"
        @click="checkAll"
      >全选</van-checkbox>
      <div class="shop-subtotal">合计：6000积分</div>
      <div class="shop-btn" @touchstart="onSubmit" color="#D7A269">立即兑换 (1)</div>
    </div>
  </div>
</template>

<script>
import { Image, checkbox, Stepper, icon, NumberKeyboard, Toast } from "vant";

export default {
  name: "CartConfirmation",
  components: {
    [Image.name]: Image,
    [checkbox.name]: checkbox,
    [icon.name]: icon,
    [Stepper.name]: Stepper,
    [NumberKeyboard.name]: NumberKeyboard,
    [Toast.name]: Toast
  },
  data() {
    return {
      title: "",
      checkedAll: false,
      value: 1,
      show: false
    };
  },
  created() {
    this.title = this.$route.meta.title;
  },
  watch: {
    $router(val) {
      console.log(val);
    }
  },
  methods: {
    onSubmit() {
      if (this.value >= 1) {
        this.$router.push({
          path: "/cart/confirmation",
          name: "CartConfirmation"
        });
      } else {
        Toast({
          message: "请至少选择一个商品",
          className: "toast-font",
          closeOnClick: true
        });
      }
    },
    checkAll() {
      this.$refs.checkboxGroup.toggleAll(this.checkedAll);
    }
  }
};
</script>

<style lang="less" scoped>
.shop {
  width: 100%;
  height: 100%;
  background: rgba(246, 246, 246, 1);
  position: relative;

  .shop-cont {
    height: calc(100% - 40px);
    box-sizing: border-box;
    overflow: auto;

    .shop-address {
      width: 100vw;
      height: 71px;
      background: rgba(255, 255, 255, 1);
      border-radius: 35.5px;
      margin: 10px 0;
      display: flex;
      justify-content: space-between;
      align-items: center;

      .address-icon {
        width: 11.5px;
        height: 11.5px;
        font-size: 11.5px;
        margin: 0 13.5px;
      }

      .address-cont-top {
          display: flex;
          align-items: center;

        .address-cont-name {
          font-size: 16px;
          font-weight: 500;
          color: rgba(51, 51, 51, 1);
        }
        .address-cont-tel {
          font-weight: 500;
          color: rgba(142, 142, 147, 1);
          font-size: 12px;
          margin: 0 0 0 12.5px;
        }
      }

      .address-cont-bottom {
        font-weight: 500;
        color: rgba(51, 51, 51, 1);
        font-size: 12px;
        margin: 3px 0 0 0;
      }
    }
  }
}
</style>